## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > MainWin

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_MainWindow, Tk_GetNumMainWindows — functions for querying main window information

### SYNOPSIS

#include <tk.h>
Tk_Window
Tk_MainWindow(interp)
int
Tk_GetNumMainWindows()

### ARGUMENTS

Tcl_Interp *interp (in/out)
  Interpreter associated with the application.

### DESCRIPTION

A main window is a special kind of toplevel window used as the outermost window in an application.

If interp is associated with a Tk application then Tk_MainWindow returns the application's main window. If there is no Tk application associated with interp then Tk_MainWindow returns NULL and leaves an error message in interpreter interp's result.

Tk_GetNumMainWindows returns a count of the number of main windows currently open in the current thread.

### KEYWORDS

application, main window
Copyright © 1990 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.